Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451000 - nmbd segfault
Summary: nmbd segfault
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: samba
Version: 9
Hardware: x86_64
OS: Linux
low
high
Target Milestone: ---
Assignee: Simo Sorce
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-12 09:23 UTC by Tim Waugh
Modified: 2009-07-14 16:31 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-14 16:31:49 UTC


Attachments (Terms of Use)
samba-state.tar.bz2 (deleted)
2008-06-12 09:24 UTC, Tim Waugh
no flags Details

Description Tim Waugh 2008-06-12 09:23:35 UTC
Description of problem:
nmbd segfaults every time it tries to rotate its log file.

Version-Release number of selected component (if applicable):
samba-3.2.0-1.rc1.15.fc9.x86_64

How reproducible:
100%

Steps to Reproduce:
1./sbin/service nmb start
  
Actual results:
Starting NMB services: /bin/bash: line 1:  2340 Aborted (core dumped) nmbd -D
  [FAILED]

Expected results:
Starting NMB services: [OK]

Additional info:
Seen on a Fedora 9 x86_64 KVM instance.

Comment 1 Tim Waugh 2008-06-12 09:24:24 UTC
Created attachment 309048 [details]
samba-state.tar.bz2

Here is a tarball of /etc/samba and /var/log/samba, including one core file
from nmbd.

Comment 2 Tim Waugh 2008-06-12 09:26:08 UTC
[root@localhost /]# gdb --args nmbd -D
GNU gdb Fedora (6.8-10.fc9)
Copyright (C) 2008 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu"...
(gdb) r
Starting program: /usr/sbin/nmbd -D

Program received signal SIGSEGV, Segmentation fault.
reopen_logs () at lib/debug.c:636
636                     if (*logfname) {
Missing separate debuginfos, use: debuginfo-install cyrus-sasl.x86_64
e2fsprogs.x86_64 glibc.x86_64 keyutils.x86_64 krb5.x86_64 libselinux.x86_64
openldap.x86_64 openssl.x86_64 popt.x86_64 zlib.x86_64
(gdb) bt
#0  reopen_logs () at lib/debug.c:636
#1  0x00007fd469c8a23f in check_log_size () at lib/debug.c:730
#2  0x00007fd469c8a4ba in Debug1 (format_str=0x7fd469d184dd "%s")
    at lib/debug.c:848
#3  0x00007fd469c8a684 in bufr_print () at lib/debug.c:880
#4  0x00007fd469c8a165 in dbgtext (format_str=<value optimized out>)
    at lib/debug.c:922
#5  0x00007fd469c7b26a in messaging_init (mem_ctx=<value optimized out>, 
    server_id=<value optimized out>, ev=0x7fd46ab80ce0) at lib/messages.c:226
#6  0x00007fd469bd1471 in nmbd_messaging_context () at nmbd/nmbd.c:55
#7  0x00007fd469bd18d9 in main (argc=<value optimized out>, 
    argv=<value optimized out>) at nmbd/nmbd.c:857
(gdb) 


Comment 3 Bug Zapper 2009-06-10 01:34:06 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Bug Zapper 2009-07-14 16:31:49 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.